Package Details: libspatialindex-git 1.8.5-1

Git Clone URL: https://aur.archlinux.org/libspatialindex-git.git (read-only)
Package Base: libspatialindex-git
Description: C++ implementation of R*-tree, an MVR-tree and a TPR-tree with C API
Upstream URL: http://libspatialindex.github.com/
Keywords: libspatialindex rtree
Licenses: GPL
Conflicts: libspatialindex
Provides: libspatialindex
Submitter: mutantmonkey
Maintainer: Schrottfresse
Last Packager: Schrottfresse
Votes: 6
Popularity: 0.023947
First Submitted: 2012-04-30 01:48
Last Updated: 2015-09-18 08:50

Latest Comments

Morn commented on 2015-09-18 17:19

Excellent, I can use this for my Minetest PKGBUILD now. Thanks!

Schrottfresse commented on 2015-09-18 08:51

Works again. A cd into the build folder was missing.

Morn commented on 2015-09-17 16:24

PKGBUILD doesn't work for me:

==> Connecting to GIT server....
Klone nach 'libspatialindex' ...
remote: Counting objects: 3241, done.
remote: Total 3241 (delta 0), reused 0 (delta 0), pack-reused 3241
Empfange Objekte: 100% (3241/3241), 2.19 MiB | 1006.00 KiB/s, Fertig.
Löse Unterschiede auf: 100% (2083/2083), Fertig.
Prüfe Konnektivität ... Fertig.
error: pathspec '1.8.5' did not match any file(s) known to git.
==> FEHLER: Ein Fehler geschah in build().
Breche ab...

hack.augusto commented on 2014-08-02 03:07

For some reason the using cmake produces a smaller library, in my system is is 2.11MiB smaller.

For people trying to use python's bindings for this library, the commit bellow broke it:

615faddd94003f3cbb401dc7e6d1ffaa5a2952bc Mon Jul 28 10:04:59 2014 -0500

Here is a quick fix:

sed -i 's/SIDX_VERSION_MAJOR.SIDX_VERSION_MINOR.SIDX_VERSION_REV/1.8.1/' include/spatialindex/Version.h

https://github.com/libspatialindex/libspatialindex/commit/1bd4f2de4f289e4679c15731c392a8b211e336a9#diff-0c9e14b037b25fe2e77fd60afed7cdbfR46